<?php

namespace Drupal\single_image_formatter\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\image\Plugin\Field\FieldFormatter\ImageFormatter;

/**
 * Plugin implementation of the 'single_image_formatter' formatter.
 *
 * @FieldFormatter(
 *   id = "single_image_formatter",
 *   label = @Translation("Single image formatter"),
 *   field_types = {
 *     "image"
 *   }
 * )
 */
class SingleImageFormatter extends ImageFormatter {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = parent::viewElements($items, $langcode);
    $output = reset($elements);
    return $output ? [$output] : [];
  }

}
